org.apache.log4j.receivers.db.dialect

## Class Util

- java.lang.Object
- - org.apache.log4j.component.spi.ComponentBase
  - - org.apache.log4j.receivers.db.dialect.Util

- All Implemented Interfaces:
    Component

      public class Util
      extends ComponentBase

  Author:
    Ceki Gulcu

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.component.spi.ComponentBase

      `repository`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `discoverSQLDialect(DatabaseMetaData meta)`
    `static SQLDialect` | `getDialectFromCode(int dialectCode)`
    `boolean` | `supportsBatchUpdates(DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.
    `boolean` | `supportsGetGeneratedKeys(DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

    - ### Methods inherited from class org.apache.log4j.component.spi.ComponentBase

      `getLogger, getLoggerRepository, getNonFloodingLogger, resetErrorCount, setLoggerRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### discoverSQLDialect

          public static int discoverSQLDialect(DatabaseMetaData meta)

    - #### getDialectFromCode

          public static SQLDialect getDialectFromCode(int dialectCode)

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys(DatabaseMetaData meta)

      This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

    - #### supportsBatchUpdates

          public boolean supportsBatchUpdates(DatabaseMetaData meta)

      This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.